/*
 * Copyright (c) 2007 NTT DATA Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.terasoluna.rich.functionsample.dbmessage.bean;

import java.io.Serializable;

/**
 * メッセージ情報クラス
 *
 */
public class MessageVO implements Serializable {
    
    /**
     * シリアルバージョンID
     */
    private static final long serialVersionUID = -4923169837448374354L;

    /**
     * ID 
     */
    private int id = 0;
    
    /**
     * メッセージキー
     */
    private String code = null;
    
    /**
     * 言語
     */
    private String languages = null;
    
    /**
     * 国
     */
    private String contry = null;
    
    /**
     * バリアント
     */
    private String variant = null;
    
    /**
     * メッセージ
     */
    private String message = null;

    /**
     * codeを取得する。
     * @return code
     */
    public String getCode() {
        return code;
    }

    /**
     * codeを設定する。
     * @param code code
     */
    public void setCode(String code) {
        if (code == null || "".equalsIgnoreCase(code)) {
            this.code = null;
        } else {
            this.code = code;
        }
    }

    /**
     * contryを取得する。
     * @return contry
     */
    public String getContry() {
        return contry;
    }

    /**
     * contryを設定する。
     * @param contry contry
     */
    public void setContry(String contry) {
        if (contry == null || "".equalsIgnoreCase(contry)) {
            this.contry = null;
        } else {
            this.contry = contry;
        }
    }

    /**
     * idを取得する。
     * @return id
     */
    public int getId() {
        return id;
    }

    /**
     * idを設定する。
     * @param id id
     */
    public void setId(int id) {
        this.id = id;
    }

    /**
     * languagesを取得する。
     * @return languages
     */
    public String getLanguages() {
        return languages;
    }

    /**
     * languagesを設定する。
     * @param languages languages
     */
    public void setLanguages(String languages) {
        if (languages == null || "".equalsIgnoreCase(languages)) {
            this.languages = null;
        } else {
            this.languages = languages;
        }
    }

    /**
     * messageを取得する。
     * @return message
     */
    public String getMessage() {
        return message;
    }

    /**
     * messageを設定する。
     * @param message message
     */
    public void setMessage(String message) {
        if (message == null || "".equalsIgnoreCase(message)) {
            this.message = null;
        } else {
            this.message = message;
        }
    }

    /**
     * variantを取得する。
     * @return variant
     */
    public String getVariant() {
        return variant;
    }

    /**
     * variantを設定する。
     * @param variant variant
     */
    public void setVariant(String variant) {
        if (variant == null || "".equalsIgnoreCase(variant)) {
            this.variant = null;
        } else {
            this.variant = variant;
        }
    }  
}
